$(document).ready(function(){
 $('form[name=notificaciones]').submit(function(e){
	e.preventDefault(); 	
    var f = $(this);	
	var asunto = $('#asunto').val(),
		mensaje = $('#mensaje').val(),
		opcion = $('#opcion').val(),
		inot = $('#int').val(),
		estatus = $('#estatus').val(),
	    datos = {"asunto":asunto,"mensaje":mensaje,"opcion":opcion,"inot":inot,"estatus":estatus};
	$.ajax({
		url: "notificaciones/regnotificacion.php",
		type: "POST",
		dataType: "JSON",
		data: datos,
		success: function (data) {
			    if(data.Resp==1){
				   alert(data.Men);
				   location.reload();
				   
				}else if(data.Resp==2){
					alert(data.Men);
				    location.reload();
				}else{
					$('#msg').html("<div class='alert alert-danger fade in'><a href='#' class='close' data-dismiss='alert'>&times;</a><strong>Error! </strong>"+data.Men+"</div>");
				}
			   f.get(0).reset();
		}
		,
		error: function() {
			   alert("Error Encontrado");
			   return false;
		}
	});
				
});

$('form[name=busquedanotificaciones]').submit(function(e){
	e.preventDefault(); 
	$('#usuariosencontrados').html("");
	var estatus = $("#estatus").val();
	if(estatus!=""){	
         $(".loadi").fadeIn('fast');load=true;	
		 $.post("notificaciones/searchnotificaciones.php", {estatus:estatus}, function(data){
		 $("#usuariosencontrados").html(data);
		});
    }else{$("#usuariosencontrados").html("<font color='red'>Captura por lo menos un criterio para la búsqueda</font>");}
});
});  

function deleteuser(id,td)
	{
	 var f=confirm( "En verdad quieres dar de baja al usuario?");
	 if(f==true)
		{
		 $.post("users/deleteuser.php", {id:id}, function(data,status){
		 if(status=="success")
				{
				  if(data.Resp == 1){
					 $("#msg").html("<div class='alert alert-success fade in'><a href='#' class='close' data-dismiss='alert'>&times;</a>"+data.Men+"</div>"); 
				  }else{
					 $('#msg').html("<div class='alert alert-danger fade in'><a href='#' class='close' data-dismiss='alert'>&times;</a><strong>Error! </strong>"+data.Men+"</div>");
				  }
				}else{
					$('#msg').html("<div class='alert alert-danger fade in'><a href='#' class='close' data-dismiss='alert'>&times;</a><strong>Error! </strong></div>");
				} 
			});
		}
	}